package com.izouma.awesomeadmin.model;

import java.util.*;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonInclude;


@JsonAutoDetect
@JsonInclude(JsonInclude.Include.NON_NULL)
public class AimTemplateAim {
    private Integer id;
    private String delFlag;
    private Date updateTime;
    private String updateUser;
    private Date createTime;
    private String createUser;
    private String aimName;
    private String icon;
    private Integer iconRank;
    private String aloneFlag;
    private String autoPlay;
    private String autoDisplay;
    private String showLevel;
    private String remark;
    private String templateId;
    private String power;

    private String arNum;

    private String idStr;

    private String searchKey;

    /**
     * and,test_name,like,value;or,remark,=,123
     */
    private String advancedQuery;

    /**
     * column_name_,desc_;column_name_,asc
     */
    private String orderByStr;

    private List<AimTemplateAr> aimTemplateArList;

    public Integer getId() {
        return this.id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getDelFlag() {
        return this.delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public Date getUpdateTime() {
        return this.updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateUser() {
        return this.updateUser;
    }

    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateUser() {
        return this.createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public String getAimName() {
        return this.aimName;
    }

    public void setAimName(String aimName) {
        this.aimName = aimName;
    }

    public String getIcon() {
        return this.icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public Integer getIconRank() {
        return this.iconRank;
    }

    public void setIconRank(Integer iconRank) {
        this.iconRank = iconRank;
    }

    public String getAloneFlag() {
        return this.aloneFlag;
    }

    public void setAloneFlag(String aloneFlag) {
        this.aloneFlag = aloneFlag;
    }

    public String getAutoPlay() {
        return this.autoPlay;
    }

    public void setAutoPlay(String autoPlay) {
        this.autoPlay = autoPlay;
    }

    public String getAutoDisplay() {
        return this.autoDisplay;
    }

    public void setAutoDisplay(String autoDisplay) {
        this.autoDisplay = autoDisplay;
    }

    public String getShowLevel() {
        return this.showLevel;
    }

    public void setShowLevel(String showLevel) {
        this.showLevel = showLevel;
    }

    public String getRemark() {
        return this.remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getTemplateId() {
        return this.templateId;
    }

    public void setTemplateId(String templateId) {
        this.templateId = templateId;
    }

    public String getPower() {
        return this.power;
    }

    public void setPower(String power) {
        this.power = power;
    }

    public String getSearchKey() {
        return searchKey;
    }

    public void setSearchKey(String searchKey) {
        this.searchKey = searchKey;
    }

    public String getAdvancedQuery() {
        return advancedQuery;
    }

    public void setAdvancedQuery(String advancedQuery) {
        this.advancedQuery = advancedQuery;
    }

    public String getOrderByStr() {
        return orderByStr;
    }

    public void setOrderByStr(String orderByStr) {
        this.orderByStr = orderByStr;
    }

    public String getIdStr() {
        return idStr;
    }

    public void setIdStr(String idStr) {
        this.idStr = idStr;
    }

    public String getArNum() {
        return arNum;
    }

    public void setArNum(String arNum) {
        this.arNum = arNum;
    }

    public List<AimTemplateAr> getAimTemplateArList() {
        return aimTemplateArList;
    }

    public void setAimTemplateArList(List<AimTemplateAr> aimTemplateArList) {
        this.aimTemplateArList = aimTemplateArList;
    }
}

